Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.lip6.bag.kernel
Class WPowerBagKernel<V extends MLVector<?>,B extends WeightedBagOfVector<V>>

    java.lang.Object
      fr.lip6.kernel.Kernel<B>
          fr.lip6.bag.kernel.WPowerBagKernel<V,B>

Type Parameters:
  `V` - vectors of input space
  `B` - wieghted bags of vectors.

All Implemented Interfaces:
  java.io.Serializable

    public class WPowerBagKernel<V extends MLVector<?>,B extends WeightedBagOfVector<V>>

extends Kernel<B>

Weighted Power kernel on bags of vectors : K(Bi, Bj) = (sum_Bi(sum_Bj(w_ri*w_sj*k(b_ri,b_sj))^q))^{1/q}

Author:
  dpicard
See Also:
  Serialized Form

Constructor Summary
`WPowerBagKernel(Kernel<V> minorKernel, double power)`

Method Summary
`double` | `valueOf(B t1)` kernel similarity to zero
`double` | `valueOf(B t1, B t2)` compute the kernel similarity between two element of input space

Methods inherited from class fr.lip6.kernel.Kernel
`NormalizedValueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WPowerBagKernel

    public WPowerBagKernel(Kernel<V> minorKernel,
                           double power)

Method Detail

### valueOf

    public double valueOf(B t1,
                          B t2)

  Description copied from class: `Kernel`
  compute the kernel similarity between two element of input space

  Specified by:
    `valueOf` in class `Kernel<B extends WeightedBagOfVector<V>>`
  Parameters:
    `t1` - first element
    `t2` - second element
  Returns:
    the kernel value

### valueOf

    public double valueOf(B t1)

  Description copied from class: `Kernel`
  kernel similarity to zero

  Specified by:
    `valueOf` in class `Kernel<B extends WeightedBagOfVector<V>>`
  Parameters:
    `t1` - the element to compute the similarity to zero

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD